Package: org.gmetrics.metricset

## [Groovy] Class GroovyDslMetricSet

- org.gmetrics.metricset.GroovyDslMetricSet

- All Implemented Interfaces and Traits:
    MetricSet

      class GroovyDslMetricSet

  A `MetricSet` implementation that parses a Groovy DSL of Metric definitions. The filename passed into the constructor is interpreted relative to the classpath. Note that this class attempts to read the file and parse the Groovy from within the constructor.

  Authors:
    Chris Mair
  Version:
    \$Revision: 298 \$ - \$Date: 2015-01-30 16:56:55 -0500 (Fri, 30 Jan 2015) \$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDslMetricSet (String path)` Construct a new instance on the specified Groovy DSL MetricSet file path

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getMetrics()` @return a List of Metric objects

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyDslMetricSet(String path)

      Construct a new instance on the specified Groovy DSL MetricSet file path

      Parameters:
        `path` - - the path to the Groovy DSL MetricSet definition file, relative to the classpath; must not be empty or null

  - ### Method Detail

    - #### List getMetrics()

      Returns:
        a List of Metric objects